
function stopPullDown (){
    let that = this;
    let all = document.getElementById("app");
    let startSite = 0;
    all.addEventListener("touchstart",function () {
        startSite=event.touches[0].clientY;
    });
    all.addEventListener("touchmove",function () {
        let scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;
        if(scrollTop==0 && event.touches[0].clientY>startSite && !that.$store.state.menuState || all.scrollHeight-all.clientHeight==Math.ceil(scrollTop) && startSite>event.touches[0].clientY && !that.$store.state.menuState){
            event.preventDefault();
        }
    },false);
}
export {stopPullDown};
